---
- name: Configure kubeconfig credentials (GCP)
  block:
    - name: Configure kubeconfig credentials (GCP)
      command: "gcloud container clusters get-credentials {{ prefix }} --project {{ gcp_project }} {{ ('--zone ' + gcp_gke_location) if gcp_gke_location is search('\\w+-\\w+-\\w+') else ('--region ' + gcp_gke_location) }}"
      ignore_errors: true
      register: kubeconfig_result

    - name: Show error message on configure kubeconfig failure (GCP)
      fail:
        msg: "Attempt to automatically configure your kubeconfig file for GCP failed. Ensure the 'gcloud cli' has been installed on this machine and that you are authenticated with the correct account then retry."
      when: kubeconfig_result is defined and kubeconfig_result.rc != 0
  when:
    - cloud_provider == 'gcp'
    - kubeconfig_setup

- name: Configure kubeconfig credentials (AWS)
  command: "aws eks --region {{ aws_region }} update-kubeconfig --name {{ prefix }} {{ '--profile ' + aws_profile if aws_profile != '' else '' }}"
  when:
    - cloud_provider == 'aws'
    - kubeconfig_setup
